module.exports = function(grunt) {

    // Configure Project
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        uglify: {
            options: {
                banner: '/**\n' +
                        ' * @package    <%= pkg.name %>.js\n' +
                        ' * @author     Jeremy Harris <http://www.jeremyharris.me>\n' +
                        ' * @version    <%= pkg.version %>\n' +
                        ' * @since      <%= grunt.template.today("yyyy-mm-dd") %>\n' +
                        ' */\n'
            },
            build: {
                src: 'src/<%= pkg.name %>.js',
                dest: 'src/<%= pkg.name %>.min.js'
            }
        },
        cssmin: {
            files: {
                src: 'style/boxfish.css',
                dest: 'style/boxfish.min.css'
            }
        }
    });

    // Load Plugins
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-cssmin');

    // Register Tasks
    grunt.registerTask('default', ['uglify','cssmin']);

};